Comfort Home Automation/ Security System Forums Home
Home Search search Menu menu Not logged in - Login | Register

Comfigurator 3 support for Comfort 1
 Moderated by: admin
 New Topic   Reply   Printer Friendly 
 Rate Topic 
AuthorPost
 Posted: Friday Jul 31st, 2020 01:31 am
   PM  Quote  Reply 
1st Post
slychiu
Administrator


Joined: Saturday Apr 29th, 2006
Location: Singapore
Posts: 4970
Status: 
Offline

  back to top

The original Comfort 1 was replaced by Comfort 2 in 2005. 

Comfigurator 3 software supports Comfort1 .ccl files by conversion to the cclx format and allowing write and read to Comfort 1. 

Over the years more features have been added to Comfort 2 and Comfigurator which do not apply to Comfort 1, eg Partitions, Sunrise/sunset times and many others. Some of these features may cause Exceptions in Comfigurator when used with Comfort 1. 

As time goes on there will be more incompatibilities, which will be difficult to handle, and would take up time to find and fix, and this would reduce the speed of new innovations in the products, with no benefit at all for Comfort 1 users.

In order to make it easier for Comfigurator to go forward as well as prevent problems in Comfort 1, we have decided to freeze the support for Comfort 1 at the current Comfigurator 3.13.4.  For those who still have Comfort 1, please do not upgrade Comfigurator beyond this version (In any cases none of the changes in Comfiguratror should affect Comfort 1 anyway).

For installers who still service Comfort 1, please keep the Comfigurator 3.13.4 installation file so you can downgrade to 3.13.4 when you work on Comfort 1. This ensures that you do not encounter any problems with Comfort 1. To downgrade to an older version, you need to uninstall the current new version. This only takes a few minutes but it will save time in not having unexpected problems.

There is still a problem with Comfigurator 3 with Comfort 1. It causes an exception in Miscellaneous Events> Sunrise and Sunset Responses, and Door phone On and Off responses which are not supported in Comfort 1. To fix this go to File > Update Defaults. This should remove the exception.  This is an example of new features which cause problems in Comfort 1, which is why we have decided to freeze the support at this version so such things do not happen again. 


I believe very few tech companies continue to support 20 year old products like Cytech.:)










Last edited on Friday Jul 31st, 2020 01:43 am by slychiu



 Current time is 03:35 am
Top




UltraBB 1.172 Copyright © 2007-2014 Data 1 Systems